/*
* Copyright (c) 2007 Nokia Corporation and/or its subsidiary(-ies). 
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
* Dynamic flag modifier which is based on parameter type
*
*/
package com.nokia.tracebuilder.engine;

/**
 * Dynamic flag modifier which is based on parameter type
 * 
 */
public interface TraceParameterPropertyDialogDynamicFlag extends
		TraceObjectPropertyDialogDynamicFlag {

	/**
	 * Called by UI when parameter type changes
	 * 
	 * @param newType
	 *            the new parameter type
	 * @return true if change required UI update
	 */
	public boolean typeChanged(String newType);

}
